%global with_tests 0%{?_with_tests:1}
Name:           python-pytest-virtualenv
Version:        1.2.11
Release:        12
Summary:        Virtualenv fixture for py.test
License:        MIT
URL:            https://pypi.python.org/pypi/pytest-virtualenv
Source0:        https://files.pythonhosted.org/packages/source/p/pytest-virtualenv/pytest-virtualenv-1.2.11.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel python3-pytest
BuildRequires:  python3-six python3-setuptools_git
%if %{with_tests}
BuildRequires:  python3-pytest-shutil
BuildRequires:  python3-pytest-fixture-config python3-path
BuildRequires:  python3-execnet python3-mock
BuildRequires:  python3-contextlib2 python3-virtualenv
%endif
Patch0:         91.patch

%description
Create a Python virtual environment in your test that cleans up on teardown.
The fixture has utility methods to install packages and list what's installed.

%package -n python3-pytest-virtualenv
Summary:        Virtualenv fixture for py.test
%python_provide python3-pytest-virtualenv
Requires:       python3-pytest python3-pytest-shutil python3-pytest-fixture-config
Requires:       python3-path python3-execnet python3-contextlib2 python3-virtualenv

%description -n python3-pytest-virtualenv
Create a Python virtual environment in your test that cleans up on teardown.
The fixture has utility methods to install packages and list what's installed.

%prep
%autosetup -n pytest-virtualenv-%{version}

%build
%py3_build

%install
%py3_install

%if %{with_tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-pytest-virtualenv
%doc README.md CHANGES.md
%{python3_sitelib}/*

%changelog
* Mon Nov 30 2020 shixuantong<shixuantong@huawei.com> - 1.2.11-12
- remove python2 subpackage

* Mon Jan 13 2020 Senlin Xia<xiasenlin1@huawei.com> - 1.2.11-11
- Modify %prep

* Wed Jan 08 2020 gulining<gulining@huawei.com> - 1.2.11-10
- Pakcage init
